Установка PHP версии ниже 5.3 на CentOS

Тема в разделе "Администрирование серверов", создана пользователем VVolverineX, 29 дек 2009.

Статус темы:
Закрыта.
Модераторы: mefish, stooper
  1. VVolverineX

    VVolverineX

    Регистр.:
    30 апр 2008
    Сообщения:
    203
    Симпатии:
    21
    Случилась такая ситуация поставила панель php 5.3.1 но большинство CMS еще не поддерживают его, кто подскажет как на CentOS 5.1 сделать даунгрейд php ну или установку с нуля только версии 5.2.*
     
  2. outbox

    outbox Создатель

    Регистр.:
    5 фев 2008
    Сообщения:
    28
    Симпатии:
    9
    а что за панель? может быть ей неприменно нужна 5.3 :)

    снести то не проблема (ломать не строить:(

    yum remove php-*

    если ничего кроме пхп за собой не захочет тащить удалять, то тогда смело удаляйте. после этого нужно найти в /etc/yum.repos.d файл с репозиторием панели и временно его отключить - поставить enabled=0

    после этого установить php:

    yum install php-*

    или выборочно модули какие нужны. однако из стандартной поставки Centos 5.3 поставить версию PHP 5.1.6 . я испоользую вот этот репозиторий, там сейчас 5.2.11 :

    [utterramblings]
    name=Jason’s Utter Ramblings Repo
    baseurl=http://www.jasonlitka.com/media/EL5/i386/
    enabled=1
    gpgcheck=0


    за сломанную панель я ответственности не несу! :D
     
Статус темы:
Закрыта.